summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Chris Walker2018-09-16 17:38:17 +0200
committer David Spencer2018-09-18 00:11:56 +0200
commitaf2f3ed042dff138955594562905935dd62a90c4 (patch)
treeef4534181771818144d3123373a71615314fdf2f
parent40b66dca88cc3f27575a71a4062790114ea833ab (diff)
downloadslackbuilds-af2f3ed042dff138955594562905935dd62a90c4.tar.gz
libraries/SOPE: Added (WebObjects framework).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--libraries/SOPE/README6
-rw-r--r--libraries/SOPE/SOPE.SlackBuild93
-rw-r--r--libraries/SOPE/SOPE.info10
-rw-r--r--libraries/SOPE/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/libraries/SOPE/README b/libraries/SOPE/README
new file mode 100644
index 0000000000..432e3ff483
--- /dev/null
+++ b/libraries/SOPE/README
@@ -0,0 +1,6 @@
+SOPE is an extensive set of frameworks which form a complete Web
+application server environment. Besides the Apple WebObjects compatible
+appserver extended with Zope concepts, it contains a large set of
+reusable classes: XML processing (SAX, DOM, XML-RPC), MIME/IMAP4
+processing, LDAP connectivity, RDBMS connectivity, and iCalendar
+parsing.
diff --git a/libraries/SOPE/SOPE.SlackBuild b/libraries/SOPE/SOPE.SlackBuild
new file mode 100644
index 0000000000..d455f8e6e2
--- /dev/null
+++ b/libraries/SOPE/SOPE.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for SOPE
+
+# Copyright 2018 Chris Walker Kempner, TX
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=SOPE
+VERSION=${VERSION:-4.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr
+
+make
+make install DESTDIR=$PKG GNUSTEP_INSTALLATION_DOMAIN=SYSTEM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYRIGHT ChangeLog ChangeLog.old \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/SOPE/SOPE.info b/libraries/SOPE/SOPE.info
new file mode 100644
index 0000000000..86631af94c
--- /dev/null
+++ b/libraries/SOPE/SOPE.info
@@ -0,0 +1,10 @@
+PRGNAM="SOPE"
+VERSION="4.0.2"
+HOMEPAGE="https://github.com/inverse-inc/sope"
+DOWNLOAD="https://sogo.nu/files/downloads/SOGo/Sources/SOPE-4.0.2.tar.gz"
+MD5SUM="c1070981862e39ea3789389db62dc9fa"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gnustep-base"
+MAINTAINER="Chris Walker"
+EMAIL="kris240376@gmail.com"
diff --git a/libraries/SOPE/slack-desc b/libraries/SOPE/slack-desc
new file mode 100644
index 0000000000..b2ba02e3b5
--- /dev/null
+++ b/libraries/SOPE/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+SOPE: SOPE (WebObjects framework)
+SOPE:
+SOPE: SOPE is an extensive set of frameworks which form a complete Web
+SOPE: application server environment. Besides the Apple WebObjects
+SOPE: compatible appserver extended with Zope concepts, it contains a large
+SOPE: set of reusable classes: XML processing (SAX, DOM, XML-RPC),
+SOPE: MIME/IMAP4 processing, LDAP connectivity, RDBMS connectivity, and
+SOPE: iCalendar parsing.
+SOPE:
+SOPE: Homepage: https://github.com/inverse-inc/sope
+SOPE: